<app-header titulo="lista"></app-header>


<ion-content>


  <ion-list #lista>


      <ion-item-sliding *ngFor="let item of usuarios | async">

        <ion-item >
          <ion-label>        
            <h3> {{item.name}} </h3>
            <p> {{item.email}} </p>      
          </ion-label>
    
          <ion-label slot="end" text-right>
            {{item.phone}}
          </ion-label>
    
        </ion-item>

        <ion-item-options side="start">
            <ion-item-option (click)="borrar(item)" color="danger"> 
                <ion-icon slot="icon-only" name="trash"></ion-icon>
            </ion-item-option>
            <ion-item-option side="end" (click)="favorite(item)"> 
              <ion-icon slot="icon-only" name="heart"></ion-icon> 
            </ion-item-option>            
        </ion-item-options>

        <ion-item-options side="end">
            <ion-item-option (click)="share(item)" color="dark"> 
              <ion-icon slot="icon-only" name="share"></ion-icon>      
            </ion-item-option>          
        </ion-item-options>

      </ion-item-sliding>


  </ion-list>


</ion-content>
